MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026394Open CASCADE[OCCT] OCCT:Visualizationpublic2015-07-02 19:362015-10-23 20:50
Reportervpa 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSLinuxOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026394: Visualization - eliminate unused variable in SelectMgr_RectangularFrustum
DescriptionIn SelectMgr_RectangularFrustum::segmentSegmentDistance an additional parameter aSc is declared and calculated, but not used for further calculations, therefore it produces compilation warning on Linux.
Steps To ReproduceNot needed
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0042691)
git (administrator)
2015-07-02 20:00

Branch CR26394 has been created by vpa.

SHA-1: 8b683ff0dd7239fac8f74f61eb7c33ffab41e40c


Detailed log of new commits:

Author: vpa
Date: Thu Jul 2 20:00:32 2015 +0300

    0026394: Visualization - eliminate unused variable in SelectMgr_RectangularFrustum
    
    Unnecessary calculations were removed
(0042703)
vpa (developer)
2015-07-03 12:12

Dear Kirill,

please review patch in branch CR26394.
(0042779)
kgv (developer)
2015-07-07 10:42

Please test the patch.
(0042802)
git (administrator)
2015-07-07 15:15

Branch CR26394 has been updated forcibly by apv.

SHA-1: b4fb5201dfc9e56e9f16350a02ba5538ea8976a1
(0042803)
apv (tester)
2015-07-07 15:16

Branch CR26394 has been rebased on the current master
(0042833)
apv (tester)
2015-07-08 15:52

Dear BugMaster,

Branch CR26394 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested.
SHA-1: b4fb5201dfc9e56e9f16350a02ba5538ea8976a1

Number of compiler warnings:
occt component:
   Linux: 24 (25 on master)
   Windows: 0 (0 on master)
products component:
    Linux: 37 (37 on master)
    Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 96768887 / 96884652 [-0.12%]
Total CPU difference: 17546.86999999979 / 17559.859999999717 [-0.07%]

Testing on Windows:
Total MEMORY difference: 56572952 / 56601020 [-0.05%]
Total CPU difference: 16196.148620798893 / 15950.400245498931 [+1.54%]
(0043529)
git (administrator)
2015-07-27 13:39

Branch CR26394 has been deleted by kgv.

SHA-1: b4fb5201dfc9e56e9f16350a02ba5538ea8976a1

- Related Changesets
occt: master a52c06d5
Timestamp: 2015-07-02 17:00:32
Author: vpa
Committer: bugmaster
Details ] Diff ]
0026394: Visualization - eliminate unused variable in SelectMgr_RectangularFrustum

Unnecessary calculations were removed
mod - src/SelectMgr/SelectMgr_RectangularFrustum.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-07-02 19:36 vpa New Issue
2015-07-02 19:36 vpa Assigned To => vpa
2015-07-02 19:56 vpa Status new => assigned
2015-07-02 20:00 git Note Added: 0042691
2015-07-03 12:12 vpa Note Added: 0042703
2015-07-03 12:12 vpa Assigned To vpa => kgv
2015-07-03 12:12 vpa Status assigned => resolved
2015-07-03 13:14 kgv Assigned To kgv => dbp
2015-07-07 10:42 kgv Note Added: 0042779
2015-07-07 10:42 kgv Assigned To dbp => bugmaster
2015-07-07 10:42 kgv Severity minor => integration request
2015-07-07 10:42 kgv Status resolved => reviewed
2015-07-07 14:14 apv Assigned To bugmaster => apv
2015-07-07 15:15 git Note Added: 0042802
2015-07-07 15:16 apv Note Added: 0042803
2015-07-08 15:07 apv Test case number => Not needed
2015-07-08 15:52 apv Note Added: 0042833
2015-07-08 15:52 apv Assigned To apv => bugmaster
2015-07-08 15:52 apv Status reviewed => tested
2015-07-10 11:40 bugmaster Changeset attached => occt master a52c06d5
2015-07-10 11:40 bugmaster Status tested => verified
2015-07-10 11:40 bugmaster Resolution open => fixed
2015-07-27 13:39 git Note Added: 0043529
2015-08-26 11:04 abv Target Version 7.0.0 => 6.9.1
2015-10-16 14:56 aiv Status verified => closed
2015-10-23 20:50 aiv Fixed in Version => 6.9.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker